bm::miniset< A, N > Class Template Reference
Small sets functionality (intrenal)

Template class implements memory saving set functionality. More...

`#include <bmvmin.h>`

## Public Member Functions

| miniset ()
| miniset (const miniset &mset)
| ~miniset ()
unsigned | test (bm::id_t n) const
| Checks if bit pos 1 or 0. Returns 0 if 0 and non zero otherwise.
void | set (bm::id_t n, bool val=true)
unsigned | mem_used () const
void | swap (miniset &mset)

## Detailed Description

template<class A, size_t N>
class bm::miniset< A, N >

Template class implements memory saving set functionality.

See also
  bvmini

Definition at line 52 of file bmvmin.h.

## Constructor & Destructor Documentation

## miniset() [1/2]

template<class A, size_t N>

bm::miniset< A, N >::miniset | ( |  | ) |

inline

Definition at line 56 of file bmvmin.h.

Referenced by miniset(), and swap().

## miniset() [2/2]

template<class A, size_t N>

bm::miniset< A, N >::miniset | ( | const miniset< A, N > & | mset | ) |

inline

Definition at line 61 of file bmvmin.h.

References miniset().

## ~miniset()

template<class A, size_t N>

bm::miniset< A, N >::~miniset | ( |  | ) |

inline

Definition at line 77 of file bmvmin.h.

References BM_MINISET_ARRSIZE, and BM_MINISET_GAPLEN.

## Member Function Documentation

## mem_used()

template<class A, size_t N>

unsigned bm::miniset< A, N >::mem_used | ( |  | ) | const

inline

Definition at line 134 of file bmvmin.h.

References BM_MINISET_ARRSIZE, and BM_MINISET_GAPLEN.

## set()

template<class A, size_t N>

void bm::miniset< A, N >::set | ( | bm::id_t | n,
|  | bool | val = true )

inline

Definition at line 100 of file bmvmin.h.

References BM_MINISET_GAPLEN, bm::gap_set_value(), bm::set_word_mask, and bm::set_word_shift.

## swap()

template<class A, size_t N>

void bm::miniset< A, N >::swap | ( | miniset< A, N > & | mset | ) |

inline

Definition at line 143 of file bmvmin.h.

References miniset().

## test()

template<class A, size_t N>

unsigned bm::miniset< A, N >::test | ( | bm::id_t | n | ) | const

inline

Checks if bit pos 1 or 0. Returns 0 if 0 and non zero otherwise.

Definition at line 89 of file bmvmin.h.

References bm::gap_test(), bm::set_word_mask, and bm::set_word_shift.

The documentation for this class was generated from the following file:

- bmvmin.h